package hterhors.editor.format;

import org.eclipse.jface.text.formatter.IFormattingStrategy;

public class IgnoreFormattingStrategy implements IFormattingStrategy {

	protected static final String lineSeparator = System
			.getProperty("line.separator");

	public IgnoreFormattingStrategy() {
		super();
	}

	public void formatterStarts(String initialIndentation) {
	}

	public String format(String content, boolean isLineStart,
			String indentation, int[] positions) {
		return content.replace(lineSeparator, " ").replaceAll("\\s+", " ")
				+ lineSeparator + lineSeparator;
	}

	public void formatterStops() {
	}

}