package hterhors.editor.hoverinfos;

import java.util.Iterator;

import org.eclipse.core.resources.IMarker;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jface.text.source.IAnnotationHover;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.ui.texteditor.MarkerAnnotation;

public class IISRAnnontationHover implements IAnnotationHover {

	@Override
	public String getHoverInfo(ISourceViewer sourceViewer, int i) {
		StringBuffer out = new StringBuffer();
		boolean begin = true;
		for (@SuppressWarnings("unchecked")
		Iterator<MarkerAnnotation> iterator = (Iterator<MarkerAnnotation>) sourceViewer
				.getAnnotationModel().getAnnotationIterator(); iterator
				.hasNext();) {
			try {
				Object maO;
				if ((maO = iterator.next()) instanceof MarkerAnnotation) {
					MarkerAnnotation ma = (MarkerAnnotation) maO;
					IMarker m = (IMarker) ma.getMarker();
					Integer line = Integer.valueOf((Integer) m
							.getAttribute(IMarker.LINE_NUMBER));
					if (i+1 == line) {
						if (!begin) {
							out.append("\n");
						}
						out.append((String) m.getAttribute(IMarker.MESSAGE));
						begin = false;
					}
				}
			} catch (NumberFormatException e) {
				e.printStackTrace();
			} catch (CoreException e) {
				e.printStackTrace();
			}

		}
		return out.toString();
	}
}
