package hterhors.editor.info;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.handlers.HandlerUtil;
import org.eclipse.ui.texteditor.ITextEditor;

public class InfoExampleHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ITextEditor textEditor = (ITextEditor) HandlerUtil
				.getActiveEditor(event);
		IEditorInput input = HandlerUtil.getActiveEditorInput(event);
		Shell shell = HandlerUtil.getActiveShell(event);

		MessageBox mb = new MessageBox(shell, SWT.SMOOTH);
		mb.setText("General infos");
		mb.setMessage(InfoStringGetter.infoStringGetter(getClass(),"/resources/info_example.txt"));
		mb.open();
		return null;
	}
}
