package hterhors.editor.info;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.handlers.HandlerUtil;
import org.eclipse.ui.texteditor.ITextEditor;

public class InfoGeneralHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ITextEditor textEditor = (ITextEditor) HandlerUtil
				.getActiveEditor(event);
		IEditorInput input = HandlerUtil.getActiveEditorInput(event);
		Shell shell = HandlerUtil.getActiveShell(event);

		MessageBox mb = new MessageBox(shell, SWT.SMOOTH);
		mb.setText("General infos");
		mb.setMessage(InfoStringGetter.infoStringGetter(getClass(),"/resources/info_general.txt"));
		mb.open();
		return null;
	}
}
