package hterhors.editor.outline;

import hterhors.editor.xml.XMLElement;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.swt.graphics.Image;

public class OutlineLabelProvider implements ILabelProvider {

	public OutlineLabelProvider() {
		super();
	}

	public Image getImage(Object element) {
		return null;
	}

	public String getText(Object element) {
		if (element instanceof XMLElement) {
			XMLElement dtdElement = (XMLElement) element;
			String textToShow = dtdElement.getName();
			String nameAttribute = dtdElement.getAttributeValue("id");
			if (nameAttribute != null) {
				if (textToShow.equals("token")) {
					textToShow = nameAttribute;
				} else if (textToShow.equals("one-of")
						|| textToShow.equals("item")) {
				} else {
					textToShow += " id =\"" + nameAttribute + "\"";
				}
			}
			return textToShow;
		}
		return null;
	}

	public void dispose() {
	}

	public boolean isLabelProperty(Object element, String property) {
		return false;
	}

	public void removeListener(ILabelProviderListener listener) {
	}

	@Override
	public void addListener(ILabelProviderListener arg0) {
	}

}