package hterhors.editor.format;

import org.eclipse.jface.text.formatter.IFormattingStrategy;

public class DefaultFormattingStrategy implements IFormattingStrategy {

	protected static final String lineSeparator = System
			.getProperty("line.separator");

	public DefaultFormattingStrategy() {
		super();
	}

	public void formatterStarts(String initialIndentation) {
	}

	public String format(String content, boolean isLineStart,
			String indentation, int[] positions) {
		content = content.replace(lineSeparator, " ");
		content = content.replaceAll("\\s+", " ");
		content = content.replace("\t", " ");
		return content;
	}

	public void formatterStops() {
	}

}