package hterhors.editor.xml;

/**
 * @author  Hendrik
 */
public class XMLAttribute {

	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="value"
	 */
	private String value;

	public XMLAttribute(String name) {
		super();
		this.name = name;
	}

	public XMLAttribute(String name, String value) {
		super();
		this.name = name;
		this.value = value;
	}

	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return
	 * @uml.property  name="value"
	 */
	public String getValue() {
		return value;
	}
}